Bug 982027 - SELinux is preventing /usr/bin/composite from 'create' accesses on the file magickhKGBsl.
SELinux is preventing /usr/bin/composite from 'create' accesses on the file m...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gstreamer (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Benjamin Otte
Fedora Extras Quality Assurance
abrt_hash:21e170fdec91c5940fc6eed74fa...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-07 16:42 EDT by Rafael Louback Ferraz
Modified: 2015-02-17 10:56 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:56:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rafael Louback Ferraz 2013-07-07 16:42:23 EDT
Description of problem:
SELinux is preventing /usr/bin/composite from 'create' accesses on the file magickhKGBsl.

*****  Plugin catchall (100. confidence) suggests  ***************************

If você acredita que o composite deva ser permitido acesso de create em magickhKGBsl file  por default.
Then você precisa reportar este como um erro.
Você pode gerar um módulo de política local para permitir este acesso.
Do
permitir este acesso agora executando:
# grep composite /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023
Target Context                unconfined_u:object_r:user_home_t:s0
Target Objects                magickhKGBsl [ file ]
Source                        composite
Source Path                   /usr/bin/composite
Port                          <Desconhecido>
Host                          (removed)
Source RPM Packages           ImageMagick-6.7.8.9-5.fc19.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-59.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.9.9-301.fc19.x86_64 #1 SMP Thu
                              Jul 4 15:10:36 UTC 2013 x86_64 x86_64
Alert Count                   36
First Seen                    2013-07-07 17:36:13 BRT
Last Seen                     2013-07-07 17:36:15 BRT
Local ID                      a808c3a8-e732-45ea-9eaa-77b6c065500a

Raw Audit Messages
type=AVC msg=audit(1373229375.977:544): avc:  denied  { create } for  pid=12727 comm="convert" name="magickhKGBsl" scontext=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_home_t:s0 tclass=file


type=SYSCALL msg=audit(1373229375.977:544): arch=x86_64 syscall=open success=no exit=EACCES a0=1aa7030 a1=c2 a2=180 a3=0 items=0 ppid=12716 pid=12727 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 ses=1 tty=(none) comm=convert exe=/usr/bin/convert subj=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 key=(null)

Hash: composite,thumb_t,user_home_t,file,create

Additional info:
reporter:       libreport-2.1.5
hashmarkername: setroubleshoot
kernel:         3.9.9-301.fc19.x86_64
type:           libreport
Comment 1 Daniel Walsh 2013-07-08 15:01:36 EDT
Any idea what thumbnail driver you were using?
Comment 2 Rafael Louback Ferraz 2013-07-08 15:40:23 EDT
gstreamer?
Comment 3 Niki Guldbrand 2013-07-19 15:55:03 EDT
Description of problem:
Was browsing some folders with pictures in them.

Additional info:
reporter:       libreport-2.1.5
hashmarkername: setroubleshoot
kernel:         3.9.9-302.fc19.x86_64
type:           libreport
Comment 4 Niki Guldbrand 2013-07-19 16:01:55 EDT
Here's the report I recieved:

SELinux is preventing /usr/bin/composite from create access on the file magickIZGg3E.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that composite should be allowed create access on the magickIZGg3E file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep composite /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023
Target Context                unconfined_u:object_r:user_home_t:s0
Target Objects                magickIZGg3E [ file ]
Source                        composite
Source Path                   /usr/bin/composite
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           ImageMagick-6.7.8.9-5.fc19.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-63.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux asus-0.guldbrand.net 3.9.9-302.fc19.x86_64
                              #1 SMP Sat Jul 6 13:41:07 UTC 2013 x86_64 x86_64
Alert Count                   51
First Seen                    2013-07-19 21:48:04 CEST
Last Seen                     2013-07-19 21:48:35 CEST
Local ID                      330f1f6e-ec0a-4170-9aea-5c631506c798

Raw Audit Messages
type=AVC msg=audit(1374263315.204:4211): avc:  denied  { create } for  pid=16302 comm="convert" name="magickIZGg3E" scontext=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_home_t:s0 tclass=file


type=SYSCALL msg=audit(1374263315.204:4211): arch=x86_64 syscall=open success=no exit=EACCES a0=16708f0 a1=c2 a2=180 a3=0 items=0 ppid=16258 pid=16302 auid=1236200002 uid=1236200002 gid=1236200002 euid=1236200002 suid=1236200002 fsuid=1236200002 egid=1236200002 sgid=1236200002 fsgid=1236200002 ses=56 tty=(none) comm=convert exe=/usr/bin/convert subj=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 key=(null)

Hash: composite,thumb_t,user_home_t,file,create
Comment 5 Daniel Walsh 2013-07-21 07:09:58 EDT
The basic problem is gstreamer/imagemagic should not be creating temporary content in ~/  It should be done in ~/.cache/.gstreamer-* or some other subdir of ~/.cache
Comment 6 Fedora End Of Life 2015-01-09 13:44:43 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2015-02-17 10:56:43 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.